Skip to main content
POST
/
v1
/
templates
/
collections
/
{template_id}
/
instantiate
Instantiate Collection Template
curl --request POST \
  --url https://api.mixpeek.com/v1/templates/collections/{template_id}/instantiate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "collection_name": "<string>",
  "bucket_ids": [
    "<string>"
  ],
  "collection_id": "<string>",
  "description": "<string>",
  "tags": [
    "<string>"
  ]
}
'
import requests

url = "https://api.mixpeek.com/v1/templates/collections/{template_id}/instantiate"

payload = {
"collection_name": "<string>",
"bucket_ids": ["<string>"],
"collection_id": "<string>",
"description": "<string>",
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
collection_name: '<string>',
bucket_ids: ['<string>'],
collection_id: '<string>',
description: '<string>',
tags: ['<string>']
})
};

fetch('https://api.mixpeek.com/v1/templates/collections/{template_id}/instantiate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "collection_id": "<string>",
  "collection_name": "<string>",
  "template_id": "<string>",
  "status": "created",
  "created_at": "2023-11-07T05:31:56Z"
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

template_id
string
required

Template ID

Body

application/json

Request to instantiate a collection from a template.

collection_name
string
required

Name for the new collection

Required string length: 1 - 100
bucket_ids
string[] | null

Bucket IDs to use for the collection (for bucket sources)

collection_id
string | null

Collection ID to use for the collection (for collection sources)

description
string | null

Optional description override for the collection

Maximum string length: 1000
tags
string[]

Optional tags for the collection

Response

Successful Response

Response after instantiating a collection template.

collection_id
string
required

ID of the created collection

collection_name
string
required

Name of the created collection

template_id
string
required

ID of the template used

status
string
default:created

Status of the instantiation

created_at
string<date-time>

Timestamp when collection was created